#!/bin/sh

DB_CONF=`pwd`/dosbox-${SBBSNNUM}.conf
SOCKET=$1
shift 1
DB_DIR=$1
shift 1
EXE_FILE=$1
shift 1
BATGLOB=`echo ${EXE_FILE} | perl -pe 'chomp; s/([A-Za-z])/"[".uc($1).lc($1)."]"/ge;'`
if !( ls ${DB_DIR}/${BATGLOB}.[Cc][Oo][Mm] > /dev/null 2>&1 ) ; then
  if !( ls ${DB_DIR}/${BATGLOB}.[Ee][Xx][Ee] > /dev/null 2>&1 ) ; then
    if ( ls ${DB_DIR}/${BATGLOB}.[Bb][Aa][Tt] > /dev/null 2>&1 ) ; then
      EXE_FILE="CALL ${EXE_FILE}"
    fi
  fi
fi
cp dosbox.conf $DB_CONF
echo "mount d $SBBSNODE" >> $DB_CONF
echo "C:" >> $DB_CONF
echo "cd $DB_DIR" >> $DB_CONF
echo ${EXE_FILE} $@ >> $DB_CONF
echo "exit" >> $DB_CONF
dos2unix ${SBBSNODE}/door.sys
unix2dos ${SBBSNODE}/door.sys
export SDL_VIDEODRIVER=dummy
dosbox -conf $DB_CONF -socket ${SOCKET} > dosbox-${SBBSNNUM}.log 2>&1
#rm $DB_CONF
